%define	name	gnokii
%define	version	0.6.13
%define	rel	6
%define	release	%mkrel %{rel}
%define	Summary	Tool suite for Nokia mobile phones

%define	major	3
%define	libname			%mklibname %{name} %major
%define	libnamedev		%mklibname %{name} %major -d
%define	libnamestaticdev	%mklibname %{name} %major -d -s

Summary:	%{Summary}
Name:		%{name}
Version: 	%{version}
Release:	%{release}
License:	GPL
Url:		http://www.gnokii.org/
Group:		Communications
Source0:	http://www.gnokii.org/download/gnokii/%{name}-%{version}.tar.bz2
# (gb) directly applies to aclocal.m4, don't bother with aclocal
#Patch0:		gnokii-0.6.7-libtool.patch.bz2
# (fc) 0.6.4-4mdk fix crash with some locales (Mdk bug 13666) (CVS)
#Patch1:		gnokii-0.6.4-fixcrash.patch.bz2
#Patch2:		gnokii-0.6.5-gcc4-fix.patch.bz2
Patch3:		gnokii-0.6.8-fix-locking.patch.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Buildrequires:	xpm-devel gtk+2-devel bison bluez-devel
BuildRequires:	autoconf2.5 >= 2.52
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(pre):	rpm-helper
Requires(postun):	rpm-helper

%description
Gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for
Nokia's mobile phones, released under the GPL.

%package	xgnokii
Summary:	Graphical Linux/Unix tool suite for Nokia mobile phones
Group:		Communications
Requires:	%{name}

%description	xgnokii
Xgnokii is graphical Linux/Unix tool suite for Nokia's mobile phones. It
allows you to edit your contacts book, send/read SMS's from/in
computer and more other features.

%package -n	%{libname}
Summary:	Linux/Unix tool suite for Nokia mobile phones
Group: 		System/Libraries

%description -n %{libname}
Gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for
Nokia's mobile phones, released under the GPL.

Libraries

%package -n	%{libnamedev}
Summary:	Development libraries and headers for gnokii
Group: 		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libnamedev}
Gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for
Nokia's mobile phones, released under the GPL.

Development Libraries

%package -n	%{libnamestaticdev}
Summary:	Static library for gnokii
Group:		Development/C
Provides:	%{name}-static = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	lib%{name}-static = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n	%{libnamestaticdev}
Static library for %{name}

%prep
%setup -q 
#%patch0 -p1 -b .libtool
#%patch1 -p1 -b .fixcrash
#%patch2 -p1 -b .gcc4
%patch3 -p1 -b .lock

#needed by patch0
autoconf
mv Docs/man man
rm Docs/Makefile

%build
%configure2_5x	--enable-security \
		--with-pic
%make -k || make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d $RPM_BUILD_ROOT%{_sysconfdir}
sed 's#/usr/local/sbin/#%{_sbindir}/#' <Docs/sample/gnokiirc >$RPM_BUILD_ROOT%{_sysconfdir}/gnokiirc

install -d $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}-x%{name}
?package(gnokii-xgnokii):command="%{_bindir}/x%{name}" \
		icon=x%{name}.png \
		needs="x11" \
		section="Office/Communications/Phone" \
		title="XGnokii"\
		longtitle="%{Summary}" \
		xdg="true"
EOF

desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--add-category="X-MandrivaLinux-Office-Communications-Phone" \
			--dir $RPM_BUILD_ROOT%{_datadir}/applications \
			$RPM_BUILD_ROOT%{_datadir}/applications/*

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/x%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/x%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/x%{name}.png

# for now remove sis file
rm -rf $RPM_BUILD_ROOT%{_docdir}/gnokii/*.sis

install -d $RPM_BUILD_ROOT%{_var}/lock/gnokii

cd man
for i in *.1*; do install -m644 $i -D %{buildroot}%{_mandir}/man1/$i; done
for i in *.8*; do install -m644 $i -D %{buildroot}%{_mandir}/man8/$i; done
cd -


%find_lang %{name}

%pre
%_pre_groupadd %{name}

%postun
%_postun_groupdel %{name}

%post xgnokii
%{update_menus}

%postun xgnokii
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Docs/* ChangeLog TODO
%doc utils/*.sis
%{_bindir}/%{name}
%{_bindir}/sendsms
%{_bindir}/ppm2nokia
%{_sbindir}/%{name}d
%{_sbindir}/m%{name}dev
%config(noreplace) %{_sysconfdir}/%{name}rc
%attr(777,root,gnokii) %{_var}/lock/gnokii
%{_mandir}/man1/gnokii.1*
%{_mandir}/man1/sendsms.1*
%{_mandir}/man1/ppm2nokia.1*
%{_mandir}/man8/gnokiid.8*
%{_mandir}/man8/mgnokiidev.8*

%files xgnokii -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/x%{name}
%{_bindir}/todologo
%{_datadir}/x%{name}
%{_menudir}/%{name}-x%{name}
%{_datadir}/applications/xgnokii.desktop
%{_miconsdir}/x%{name}.png
%{_iconsdir}/x%{name}.png
%{_liconsdir}/x%{name}.png
%{_mandir}/man1/xgnokii.1x*
%{_mandir}/man1/todologo.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/*

%files -n %{libnamestaticdev}
%defattr(-,root,root)
%{_libdir}/*.a

%changelog
* Wed Aug 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.13-6mdv2007.0
- fix menu icon
- add/remove %%doc
- do parallell build and work around brokeness

* Tue Aug 15 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.13-5mdv2007.0
- install man pages

* Sat Aug 12 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.13-4
- add BuildRequires: desktop-file-utils

* Tue Aug 08 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.13-3
- Rebuild

* Wed Jul 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.13-2mdv2007.0
- fix major

* Wed Jul 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.13-1mdv2007.0
- New release 0.6.13
- fix xdg menu and move it to xgnokii package
- fix macro-in-%%changelog

* Wed Jun 14 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.12-2
- Rebuild

* Wed Apr 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.12-1mdk
- New release 0.6.12

* Wed Mar 01 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.11-2mdk
- BuildRequires: gtk+-devel => gtk+2-devel

* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 0.6.11-1mdk
- New release 0.6.11

* Mon Sep 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.8-2mdk
- "fix" problem with locking (P3, should fix #14601) 

* Thu Aug 04 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.8-1mdk
- New release 0.6.8

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.7-1mdk
- 0.6.7
- regenerate P0
- drop P2 (fixed upstream)
- fix requires

* Thu May 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.5-1mdk
- 0.6.5
- fix build with gcc-4.0.0 (P2)
- drop P1 (merged upstream)
- %%mkrel

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.4-4mdk 
- Patch1 (CVS): fix crash with some locales (Mdk bug #13666)

* Fri Feb 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4-3mdk
- fix deps
- libtool fixes to nuke lib64 rpaths

* Fri Nov 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-2mdk
- Fix provides

* Fri Nov 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4

* Thu Sep 30 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.3-2mdk
- ship the gnapplet.sis tool required by Symbian phones for bluetooth use
  (GPL, version dependent and not easily available anywhere else)
- make xgnokii require gnokii (needs a config file)
- fix menu file name and title

* Wed Aug 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.3-1mdk
- 0.6.3
- use %%configure macro

* Wed Apr 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.10-2mdk
- Fix generate menu

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.10-1mdk
- 0.5.10
- use new menu section

* Sat Jan 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.8-1mdk
- 0.5.8
- nuke %%{name}-devel package and merge with %%{libnamedev} package
- fix provides
- use %%_pre_groupadd and %%_postun_groupdel
- added package for static library
- fix shlib-with-non-pic-code
- fix path in menu item

* Sun Dec 14 2003 Austin Acton <austin@linux.ca> 0.5.6-1mdk
- 0.5.6

* Fri Oct 17 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.5-1mdk
- 0.5.5
- badly needed makeover(aka I don't wanna waste my time documenting
  every little change in the spec file)

* Tue Sep 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4

* Fri Jun 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre11.1mdk
- 0.5.0pre11

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre8.1mdk
- 0.5.0pre8

* Fri Feb 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre7.1mdk
- 0.5.0pre7

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre6.1mdk
- from Fabrice MARIE <fabrice-marie-sec@ifrance.com> :
	- 0.5.0pre6

* Sun Jan 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre4.1mdk
- 0.5.0pre4

* Thu Jan 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.pre3.1mdk
- 0.5.0pre3

* Thu Jul 11 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- provides libgnokii.so

* Thu Jul 11 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Mon Feb 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-1mdk
- updated to 0.3.4 by andreapes@iol.it

* Mon Nov 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-2mdk
- from andreapes@iol.it :
	- add icons 

* Wed Oct 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- added by andreapes@iol.it

